@echo off

echo:1. compile kurvenarithmetik.c
avr-gcc -c -gstabs -mmcu=atmega128 -o dasproblem.o dasproblem.c
pause

echo:2. compile mul.S
avr-gcc -Wa,--gstabs -c -mmcu=atmega128 -o mul.o mul.S
pause

echo:3. link it together
avr-gcc -g -o dasproblem.elf dasproblem.o mul.o


echo:4. transform ELF to COFF
avr-objcopy -O coff-ext-avr --debugging dasproblem.elf dasproblem.cof
pause


echo:5. show gebug information of kurvenarithmetik.elf
avr-objdump -g kurvenarithmetik.elf


echo:6. show gebug information of kurvenarithmetik.cof
avr-objdump -g kurvenarithmetik.cof


